Package: org.grails.events.spring

## [Groovy] Class SpringEventTranslator

- org.grails.events.spring.SpringEventTranslator

- All Implemented Interfaces and Traits:
    org.springframework.context.ApplicationListener, Events, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      class SpringEventTranslator
      extends java.lang.Object

  Translates Spring Events into Reactor events

  Authors:
    Graeme Rocher
  Since:
    3.0.8

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `EVENT_SUFFIX` |
    `static java.lang.String` | `GDM_EVENT_PACKAGE` |
    `static java.lang.String` | `SPRING_PACKAGE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `onApplicationEvent(org.springframework.context.ApplicationEvent event)`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String EVENT_SUFFIX

    - #### public static final java.lang.String GDM_EVENT_PACKAGE

    - #### public static final java.lang.String SPRING_PACKAGE

  - ### Method Detail

    - #### void onApplicationEvent(org.springframework.context.ApplicationEvent event)

    - #### @java.lang.Override void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)